pbs_server(8B)

NAME
pbs_server - start a pbs batch server

SYNOPSIS
pbs_server [-a active] [-d config_path] [-p port] [-A acctfile] [-L logfile] [-M mom_port] [-R momRPP_port] [-S scheduler_port] [-t type]

DESCRIPTION
The pbs_server command starts the operation of a batch server on the local host. Typically, this command will be in a local boot file such as /etc/rc.local . If the batch server is already in execution, pbs_server will exit with an error. To insure that the pbs_server command is not runnable by the general user community, the server will only execute if its real and effective uid is zero.

The server will record a diagnostic message in a log file for any error occurrence. The log files are maintained in the server_logs directory below the home directory of the server. If the log file cannot be opened, the diagnostic message is written to the system console.

OPTIONS

-a active
    Specifies if scheduling is active or not. This sets the server attribute If the option argument is "true" ("True", "t", "T", or "1"), the server is active and the PBS job scheduler will be called. If the argument is "false" ("False", "f", "F", or "0), the server is idle, and the scheduler will not be called and no jobs will be run. If this option is not specified, the server will retain the prior value of the attribute.

-d config_path
    Specifies the path of the directory which is home to the servers configuration files, PBS_HOME. A host may have multiple servers. Each server must have a different configuration directory. The default configuration directory is given by the symbol $PBS_SERVER_HOME which is typically

-p port
    Specifies the port number on which the server will listen for batch requests. If multiple servers are running on a single host, each must have its own unique port number. This option is for use in testing with multiple batch systems on a single host.

-A acctfile
    Specifies an absolute path name of the file to use as the accounting file. If not specified, the file is named for the current date in the PBS_HOME/server_priv/accounting directory.

-L logfile
    Specifies an absolute path name of the file to use as the log file. If not specified, the file is one named for the current date in the PBS_HOME/server_logs directory, see the option.

-M mom_port
    Specifies the host name and/or port number on which the server should connect the job executor, MOM. The option argument, is one of the forms: host_name, [:]port_number, or host_name:port_number. If host_name not specified, the local host is assumed. If port_number is not specified, the default port is assumed. See the -M option for pbs_mom(8).

-R mom_RPPport
    Specifies the port number on which the the server should query the up/down status of Mom. See the -R option for pbs_mom(8).

-S scheduler_port
    Specifies the port number to which the server should connect when contacting the Scheduler. The option argument, is of the same syntax as under the -M option.

-t type
    Specifies the impact on jobs which were in execution, running, when the server shut down. If the running job is not rerunnable or restartable from a checkpoint image, the job is aborted. If the job is rerunnable or restartable, then the actions described below are taken. When the argument is:

    hot All jobs are requeued except non-rerunnable jobs that were executing. Any rerunnable job which was executing when the server went down will be run immediately. This returns the server to the same state as when it went down. After those jobs are restarted, then normal scheduling takes place for all remaining queued jobs.

        If a job cannot be restarted immediately because of a missing resource, such as a node being down, the server will attempt to restart it periodically for upto 5 minutes. After that period, the server will revert to a normal state, as if warm started, and will no longer attempt to restart any remaining jobs which were running prior to the shutdown.

    warm
        All rerunnable jobs which were running when the server went down are requeued. All other jobs are maintained. New selections are made for which jobs are placed into execution. Warm is the default if -t is not specified.

    cold
        All jobs are deleted. Positive confirmation is required before this direction is accepted.

    create
        The server will discard any existing configuration files, queues and jobs, and initialize configuration files to the default values. The server is idled.

FILES

$PBS_SERVER_HOME/server_priv
    default directory for configuration files, typically /usr/spool/pbs/server_priv

$PBS_SERVER_HOME/server_logs
    directory for log files recorded by the server.

Signal Handling
On receipt of the following signals, the server performs the defined action:

SIGHUP
    The current server log and accounting log are closed and reopened. This allows for the prior log to be renamed and a new log started from the time of the signal.

SIGINT
    Causes an orderly shutdown of pbs_server, identical to "qterm".

SIGTERM
    Causes an orderly shutdown of pbs_server, identical to "qterm".

SIGSHUTDN
    On systems (Unicos) where SIGSHUTDN is defined, it also causes an orderly shutdown of the server.

SIGPIPE, SIGUSR1, SIGUSR2
    These signals are ignored.

All other signals have their default behavior installed.

EXIT STATUS
If the server command fails to begin batch operation, the server exits with a value greater than zero.

SEE ALSO
qsub (1B), pbs_connect(3B), pbs_mom(8B), pbs_sched_basl(8B), pbs_sched_tcl(8B), pbsnodes(8B), qdisable(8B), qenable(8B), qmgr(8B), qrun(8B), qstart(8B), qstop(8B), qterm(8B), and the PBS External Reference Specification.